require 'spec_helper'

RSpec.describe KarrierWave do
  describe '.config' do
    it { expect(KarrierWave.config { |config| config.host = 'http://kage.kakao.com' }).to be_kind_of(KarrierWave::Configuration) }
    it { expect { KarrierWave.config { |config| config.host = 'http://kage.kakao.com' } }.to change { KarrierWave.config } }

    context 'when configuration is done before' do
      let(:configuration_before) { KarrierWave.config { |config| config.host = 'http://kage.kakao.com' } }

      before { configuration_before }

      it { expect(KarrierWave.config).to eq(configuration_before) }
    end
  end
end
